
c/* %W%      latest revision %G% %U% */
      function ffmhe3 (q)
************************************************************************

c *** See R.H. Landau's program LPOTT, 1981
c *** Magnetic ff of He3 from McCarthy et al
c *** q in f-1

      implicit real*8 (a-h, o-z)
      common /sizes/    a2, b2, c2, achn, acmn, wsn

      q2 = q*q
      rhl1 = 0.
      rhl = a2*q2
      if (rhl.ge.150.) go to 10
      rhl1 = exp(-rhl)
 10   rhl = c2*q2
      rhl2 = 0.
      if (rhl.ge.150.) go to 20
      rhl2 = -b2*q2*exp(-rhl)
 20   ffmhe3 = rhl1+rhl2
      return
c**  this program valid on ftn4 and ftn5 **
      end
